# 评标专家系统

## 说明:
使用springboot + mybatis-plus 组件组合的系统

## 环境:
java 1.8以上,mysql5.7以上

### 开发工具:
intellij idea

## 模块说明
    main
        -java
            -com
                -asset
                    -common                 //公共函数
                    -config                 //Druid的监控
                    -controller             //控制器api方法入口
                    -domain                 //实体类
                    -filter                 //跨域过滤器
                    -mapper                 //操作数据库层
                    -service                //接口的实现业务层
    resources
            -mybatis
                -mapper                     //sql对应的xml文件
            -application                    //系统的配置
            -application-dev.yml            //测试环境系统的服务及数据库配置
            -application-prod.yml           //正式环境系统的服务及数据库配置
            -logback-spring.xml             //系统日志配置
            ValidationMessages.properties   //api参数校验提示信息配置
    pom.xml                                 //系统项目的jar配置文件        


### 请求字段

字段名 | 说明
---|---
keywords | 关键词
per | 每页数量
page | 页码

### 响应字段

字段名 | 说明
---|---
total | 总条目数
per_page | 每页显示条目个数
current_page | 当前页数
total_page | 总页数 


### 数据库

字段名 | 说明
---|---
id | 主键
remark | 备注
created_at | 创建时间
updated_at | 修改时间
deleted_at | 删除时间 
