package com.asset.controller;

import com.asset.common.Common;
import com.asset.common.ResultUtil;
import com.asset.domain.Result;
import com.asset.domain.system.Captcha;
import com.asset.enums.CodeEnum;
import com.asset.service.system.CaptchaService;
import com.wf.captcha.SpecCaptcha;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import java.util.UUID;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/*
 * @author xiaol
 * @date 2020/3/23
 */
@RestController
@RequestMapping(value = "/captcha")
public class CaptchaController {

    @Autowired
    CaptchaService captchaService;

    @RequestMapping("/captcha")
    public Result captcha(HttpServletRequest request, HttpServletResponse response) throws Exception {
        SpecCaptcha specCaptcha = new SpecCaptcha(130, 48, 5);
        String verCode = specCaptcha.text().toLowerCase();
        String key = UUID.randomUUID().toString();
        // 存入表并设置过期时间为2分钟
        Captcha cap = new Captcha();
        cap.setCaptcha_key(key);
        cap.setCaptcha_value(specCaptcha.toBase64());
        String ex = Common.getDateToString(Common.getTime() + 120);
        cap.setExpire(ex);
        return ResultUtil.success(CodeEnum.SUCCESS,cap);
    }
}
